Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.model.types
Enum NotificationSubtype

    java.lang.Object
      java.lang.Enum<NotificationSubtype>
          org.teleal.cling.model.types.NotificationSubtype

All Implemented Interfaces:
  Serializable, Comparable<NotificationSubtype>

    public enum NotificationSubtype

extends Enum<NotificationSubtype>

Notification message types for SSDP.

Author:
  Christian Bauer

Enum Constant Summary
`ALIVE`
`ALL`
`BYEBYE`
`DISCOVER`
`PROPCHANGE`
`UPDATE`

Method Summary
`String` | `getHeaderString()`
`static NotificationSubtype` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NotificationSubtype[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALIVE

    public static final NotificationSubtype ALIVE

### UPDATE

    public static final NotificationSubtype UPDATE

### BYEBYE

    public static final NotificationSubtype BYEBYE

### ALL

    public static final NotificationSubtype ALL

### DISCOVER

    public static final NotificationSubtype DISCOVER

### PROPCHANGE

    public static final NotificationSubtype PROPCHANGE

Method Detail

### values

    public static NotificationSubtype[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NotificationSubtype c : NotificationSubtype.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NotificationSubtype valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getHeaderString

    public String getHeaderString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.